using System;

namespace drugiKrugDrugi
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());

            for (int i = 0; i < t; i++)
            {
                string[] input = Console.ReadLine().Split();
                int n = Convert.ToInt32(input[0]);
                int m = Convert.ToInt32(input[1]);
                int k = Convert.ToInt32(input[2]);

                if (k == 1) {
                    if (k + (n - 1) * (n / 2 + 1) <= m) {
                        Console.WriteLine("Tak");
                    }
                }
                else if ((k - 1) + n * (n / 2 - 1) <= m) {
                    
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
            
        }
    }
}